format_version: '1.0'


repository_url: https://github.com/Rdatatable/data.table
issue_url: https://github.com/Rdatatable/data.table/issues/3690


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 4e3868b
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 9cc25297f8e64503345765f1247af98628d70631
    - input_file: 'b-partial-2.diff'
      commit_sha1: 603b91384805cc71ca237d70564379723b4c0656
    - input_file: 'b-partial-3.diff'
      commit_sha1: fd8c8d71563c5fe6a29bb5dacbf3926113840c92
    - input_file: 'b-partial-4.diff'
      commit_sha1: 633bc1b990469bc7cec22826f2ba2d5127497b6d
    - input_file: 'b-partial-5.diff'
      commit_sha1: 8d36234bbf94ae74334908500cca5ce16717683a
    - input_file: 'b-partial-6.diff'
      commit_sha1: d3e146daebea4aee40d30330b873bcce9dcaf38f
    - input_file: 'b-partial-7.diff'
      commit_sha1: e5db9bb9b946d079216244975890cc008a3806a1
    - input_file: 'b-partial-8.diff'
      commit_sha1: 9c24eb138a2ff91bff7d46eeb71c07fd82d4135b

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: cc0a2186b757799bb05fc1a972d7bf2cadaaa0e1

options:
  language: C
